# Pre-commit hooks.

Hooks to use with [Pre-commit](https://pre-commit.com/)

To use them, add this in your `.pre-commit-config.yml`

```yaml
    - repo: https://git.ralsina.me/ralsina/pre-commit-hooks.git
      rev: main
      hooks:
          - id: whatever-hook-you-like
```

After you install, you can use `pre-commit autoupdate` when it complains that main is whatever.

Current hooks:

## ameba

Run the [Ameba](https://github.com/crystal-ameba/ameba) static analysis tool for [Crystal](https://crystal-lang.org)
